#include<iostream>
using namespace std;

int main(){
 long long n,k=0;
 cin>>n;
 long long a[n],minDyl=n,br,starIndex;
 for(int i=0 ; i<n ; i++){
    cin>>a[i];
 }
 for(int i=1 ; i<n-1; i++){
        //cout<<" a ";
        if(a[i]==0){
            break;
        }
    if(a[i]>a[i-1] && a[i]>a[i+1]){
            if(k==0){
                k++;
            }else{
                br=i-starIndex-1;
                if(minDyl>br){
                    minDyl=br;
                }
                    k++;
            }

        starIndex=i;
    }
 }
 if(k<2){
    cout<<"0";
 }else{
   cout<<minDyl;
 }
  return 0;
}
